from django.contrib.auth.models import User
from django.db import models

class Profile(models.Model):
    user = models.OneToOneField(User, on_delete=models.CASCADE)
    role = models.CharField(max_length=100, choices=[('admin', 'Admin'), ('user', 'User'), ('ai_engineer', 'AI Engineer'), ('finance', 'Finance Team')])

    def __str__(self):
        return f"{self.user.username} - {self.role}"

class mlModel(models.Model):
    modelID = models.AutoField(primary_key=True)
    username = models.CharField(max_length=100, default="default")
    modelName = models.CharField(max_length=100)

    def __str__(self):
        return self.modelName

class Interaction(models.Model):
    interactionID = models.AutoField(primary_key=True)
    username = models.CharField(max_length=100, default="default")
    date = models.DateTimeField()
    interaction = models.CharField(max_length=1000)

    def __str__(self):
        return self.interactionID

class Billing(models.Model):
    billingID = models.AutoField(primary_key=True)
    amount = models.FloatField()
    username = models.CharField(max_length=100, default="company")
    companyName = models.CharField(max_length=100)

    def __str__(self):
        return f"{self.companyName} - {self.billingID}"

class Record(models.Model):
    username = models.CharField(max_length=100, default="default")
    uploadedFile = models.FileField(upload_to='./records/')
    chosenML = models.CharField(max_length=100, default="baseML")
    responseByML = models.CharField(max_length=100, default="PLACEHOLDER RESPONSE") # change to actual response by ML

    def __str__(self):
        return f"{self.chosenML} Response to {self.userID}"